{% extends 'dragonboard-410c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lkft-slave06 7110'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set adb_serial_number = '15691538' %}
{% set fastboot_serial_number = '15691538' %}
{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 11 --mode sync -n lkft-slave06-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 11 --mode off -n lkft-slave06-hub01' %}

{# OTG connected to USB port 11 at lkft-slave06-hub01 #}

{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control --usb_port 11 --mode off -n lkft-slave06-hub01',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command reboot --port 10 --delay 30',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 11 --mode sync -n lkft-slave06-hub01'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command on --port 10' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command off --port 10',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 11 --mode off -n lkft-slave06-hub01'] %}
{% set device_info = [{'board_id': '15691538'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'lkft-slave06.lkftlab', 'tags': ['new-firmware', 'cambridge-lab', 'production'], 'aliases': []} %}
